<template>
  <div class="PersonnelTalents_unitPersonnel--warp">
    <div class="PT_unitPersonnel--table">
      <el-table
        :data="tableData"
        stripe
        border
        style="width: 100%" :span-method="mergeColumnTableCell">
        <el-table-column
          prop="nianfen"
          label="年份"
          fixed="left">
        </el-table-column>
        <el-table-column
          prop="fanwei"
          label="范围">
        </el-table-column>
        <el-table-column
          label="总体情况">
          <el-table-column label="事业单位(家)" prop="shiyedanwei">
          </el-table-column>
          <el-table-column label="在职人员(万人)" prop="zaizhirenyuan">
          </el-table-column>
          <el-table-column label="年人均收入(万元)" prop="nianrenjunshouru">
          </el-table-column>
          <el-table-column label="全省排名" prop="quanshengpaiming">
          </el-table-column>
          <el-table-column label="年人均收入增速" prop="nianrenjunshouruzengsu">
          </el-table-column>
        </el-table-column>
        <el-table-column label="其中">
          <el-table-column label="工资性 年人均收入 （万元）" prop="gongzixingnianjunshouru"></el-table-column>
          <el-table-column label="全省排位" prop="quanshengpaiming1"></el-table-column>
          <el-table-column label="各项奖励性和 改革性补贴年 人均收入 （万元）" prop="gexiangjianglixing"></el-table-column>
          <el-table-column label="全省排位" prop="quanshengpaiming2"></el-table-column>
        </el-table-column>
      </el-table>
      <div class="PT_navEchart--title">
        <el-checkbox v-model="checked">备选项</el-checkbox>
        <el-checkbox v-model="checked">备选项</el-checkbox>
        <el-checkbox v-model="checked">备选项</el-checkbox>
      </div>
      <div class="PT_unitPersonnel--Echarts"></div>
    </div>
  </div>
</template>

<script>
import nowSize from "../../../../libs/nowSize";

export default {
  name: "PersonnelTalents_UnitPersonnel",
  data() {
    return {
      tableData: [
        {
          nianfen: '2022年',
          fanwei: '全市',
          shiyedanwei: '5363',
          zaizhirenyuan: '16.4',
          nianrenjunshouru: '10.54',
          quanshengpaiming: '3',
          nianrenjunshouruzengsu: '3.02%',
          gongzixingnianjunshouru: '6.81',
          quanshengpaiming1: '8',
          gexiangjianglixing: 3.73,
          quanshengpaiming2: '1'
        },
        {
          nianfen: '2022年',
          fanwei: '全市',
          shiyedanwei: '5363',
          zaizhirenyuan: '16.4',
          nianrenjunshouru: '10.54',
          quanshengpaiming: '3',
          nianrenjunshouruzengsu: '3.02%',
          gongzixingnianjunshouru: '6.81',
          quanshengpaiming1: '8',
          gexiangjianglixing: 3.73,
          quanshengpaiming2: '1'
        },
        {
          nianfen: '2022年',
          fanwei: '全市',
          shiyedanwei: '5363',
          zaizhirenyuan: '16.4',
          nianrenjunshouru: '10.54',
          quanshengpaiming: '3',
          nianrenjunshouruzengsu: '3.02%',
          gongzixingnianjunshouru: '6.81',
          quanshengpaiming1: '8',
          gexiangjianglixing: 3.73,
          quanshengpaiming2: '1'
        },
        {
          nianfen: '2021年',
          fanwei: '全市',
          shiyedanwei: '5363',
          zaizhirenyuan: '16.4',
          nianrenjunshouru: '10.54',
          quanshengpaiming: '3',
          nianrenjunshouruzengsu: '3.02%',
          gongzixingnianjunshouru: '6.81',
          quanshengpaiming1: '8',
          gexiangjianglixing: 3.73,
          quanshengpaiming2: '1'
        },
        {
          nianfen: '2021年',
          fanwei: '全市',
          shiyedanwei: '5363',
          zaizhirenyuan: '16.4',
          nianrenjunshouru: '10.54',
          quanshengpaiming: '3',
          nianrenjunshouruzengsu: '3.02%',
          gongzixingnianjunshouru: '6.81',
          quanshengpaiming1: '8',
          gexiangjianglixing: 3.73,
          quanshengpaiming2: '1'
        },
        {
          nianfen: '2021年',
          fanwei: '全市',
          shiyedanwei: '5363',
          zaizhirenyuan: '16.4',
          nianrenjunshouru: '10.54',
          quanshengpaiming: '3',
          nianrenjunshouruzengsu: '3.02%',
          gongzixingnianjunshouru: '6.81',
          quanshengpaiming1: '8',
          gexiangjianglixing: 3.73,
          quanshengpaiming2: '1'
        },
      ],
      option: {
        color: ['#FF5151', '#51FF5D', '#FFD151'],
        title: {
          text: '历年全市居民人均可支配收入分析图',
          left: 'center',
          top: '5%',
          textStyle: {
            color: '#FFFFFF',
            fontSize: nowSize(30)
          }
        },
        tooltip: {
          trigger: 'axis'
        },
        legend: {
          right: '5%',
          top: 'center',
          orient: 'vertical',
          itemWidth: nowSize(30),
          itemHeight: nowSize(4),
          itemGap: nowSize(80),
          textStyle: {
            color: '#FFFFFF',
            fontSize: nowSize(24),
          }
        },
        grid: {
          left: '5%',
          right: '20%',
          bottom: '0%',
          containLabel: true
        },
        xAxis: {
          name: '单位：年',
          nameTextStyle: {
            color: '#FFFFFF',
            fontSize: nowSize(24)
          },
          nameGap: nowSize(92),// 坐标轴名称与轴线之间的距离。
          type: 'category',
          boundaryGap: false,// 坐标轴两端留白
          data: ['2017年', '2018年', '2019年', '2020年', '2021年'],
          axisLabel: {
            show: true,
            textStyle: {
              color: '#fff',
              fontSize: nowSize(24)
            },
          },
          axisLine: {
            lineStyle: {
              color: '#999999',
              width: 1,   //这里是坐标轴的宽度,可以去掉
              type: 'solid'
            }
          },
          splitLine: {
            show: false
          }
        },
        yAxis: {
          name: '单位：年',
          nameTextStyle: {
            color: '#FFFFFF',
            fontSize: nowSize(24)
          },
          nameGap: nowSize(30),// 坐标轴名称与轴线之间的距离。
          type: 'value',
          axisLabel: {
            show: true,
            textStyle: {
              color: '#fff',
              fontSize: nowSize(24)
            },
          },
          axisLine: {
            lineStyle: {
              color: '#999999',
              width: 1,   //这里是坐标轴的宽度,可以去掉
              type: "solid"
            }
          },
          splitLine: {
            show: false
          }
        },
        series: [
          {
            name: '居民人均可支配收入',
            type: 'line',
            smooth: false,  //设置折线为圆滑曲线,false则有转折点
            // symbol:'none', //默认显示折点，为none时不显示
            itemStyle: {
              normal: {
                lineStyle: {
                  width: 3, //折线宽度
                }
              }
            },
            emphasis: {   //鼠标经过时折点小圆圈样式
              borderColor: 'rgba(0,196,132,0.2)',
              borderWidth: 100
            },
            stack: 'Total',
            data: [120, 132, 101, 134, 90, 230]
          },
          {
            name: '城镇居民',
            type: 'line',
            smooth: false,  //设置折线为圆滑曲线,false则有转折点
            // symbol:'none', //默认显示折点，为none时不显示
            itemStyle: {
              normal: {
                lineStyle: {
                  width: 3, //折线宽度
                }
              }
            },
            emphasis: {   //鼠标经过时折点小圆圈样式
              borderColor: 'rgba(0,196,132,0.2)',
              borderWidth: 100
            },
            stack: 'Total',
            data: [220, 182, 191, 234, 290, 330]
          },
          {
            name: '农村居民',
            type: 'line',
            smooth: false,  //设置折线为圆滑曲线,false则有转折点
            // symbol:'none', //默认显示折点，为none时不显示
            itemStyle: {
              normal: {
                lineStyle: {
                  width: 3, //折线宽度
                }
              }
            },
            emphasis: {   //鼠标经过时折点小圆圈样式
              borderColor: 'rgba(0,196,132,0.2)',
              borderWidth: 100
            },
            stack: 'Total',
            data: [150, 232, 201, 154, 190, 330]
          }
        ]
      }
    }
  },
  mounted(){
    this.Init_echarts()
  },
  methods: {
    mergeColumnTableCell({rowIndex, columnIndex}) {
      if (columnIndex === 0) {
        if (rowIndex === 0) {
          return {
            rowspan: 3,
            colspan: 1
          };
        } else if (rowIndex === 3) {
          return {
            rowspan: 6,
            colspan: 1
          }
        } else {
          return {
            rowspan: 0,
            colspan: 0
          }
        }
      }
    },
    Init_echarts() {
      const option = this.option
      const myChart = this.$echarts.init(document.querySelector('.PT_unitPersonnel--Echarts'));
      option && myChart.setOption(this.option)
    }
  }
}
</script>
<style lang="scss">
@import "../../../../assets/css/base";

.PT_unitPersonnel--table {
  .el-table tr {
    background-color: #CEF2FF;
  }

  .el-table th.el-table__cell {
    background-color: #51D2FF;
  }

  .el-table__fixed, .el-table__fixed-right, .el-table__fixed-right::before, .el-table__fixed::before {
    background-color: #51D2FF;
  }

  .el-table--striped .el-table__body tr.el-table__row--striped td.el-table__cell {
    background-color: #A8E9FF;
  }

  .el-table thead {
    color: #111111;
  }

  .el-table td.el-table__cell, .el-table th.el-table__cell.is-leaf {
    border-bottom: 1px solid #8E8E8E;
  }

  .el-table--border .el-table__cell, .el-table__body-wrapper .el-table--border.is-scrolling-left ~ .el-table__fixed {
    border-right: 1px solid #8E8E8E;
  }

  .el-table .el-table__cell {
    //padding: 0.0850375rem /* 22/256 */
    //0;
    padding:0.0546875rem 0;
  }

  .el-table__body tr.hover-row.current-row > td.el-table__cell, .el-table__body tr.hover-row.el-table__row--striped.current-row > td.el-table__cell, .el-table__body tr.hover-row.el-table__row--striped > td.el-table__cell, .el-table__body tr.hover-row > td.el-table__cell {
    background: transparent;
  }

  .el-table .cell {
    line-height:0.125rem;
    font-size: $fontSize-28;
    color: $color-darkGrey;
    font-weight: 300;
    text-align: center;
  }

  // 头部团体背景颜色
  .el-table thead.is-group th.el-table__cell {
    background-color: #51D2FF;
  }

  // 头部团体单元格下边框颜色
  .el-table--border th.el-table__cell, .el-table__fixed-right-patch {
    border-bottom: 1px solid #8E8E8E;
  }
}
.PT_navEchart--title{
  .el-checkbox{
    width:1.171875rem;
    line-height:0.375rem;
  }
  .el-checkbox__label{
    font-size:0.09375rem;
    color:#FFFFFF;
  }
  .el-checkbox__inner{
    width:40px;
    height:40px;
    margin-right:17px;
    background: #51D2FF;
    //&:after{
    //  background: url("../../../../assets/images/personnelTalents/Yes@2x.png") no-repeat;
    //  background:100% 100%;
    //  content:''
    //}
  }
  .el-checkbox__input.is-checked .el-checkbox__inner::after{
    width:20px;
    height:20px;
    background:url('../../../../assets/images/personnelTalents/Yes@2x.png')no-repeat center;

  }
  .el-checkbox__input.is-checked .el-checkbox__inner::after{
    -webkit-transform: rotate(45deg) scaleY(1);
    transform: rotate(45deg) scaleY(1);
  }

}
</style>
<style lang="scss" scoped>
@import "../../../../assets/css/base";

.PersonnelTalents_unitPersonnel--warp {
  width: 100%;
  height: 100%;
  .PT_unitPersonnel--table {
    width: 100%;
    height: 100%;
    position: relative;
  }

  .PT_unitPersonnel--Echarts {
    width: 1920px;
    margin-top: 120px;
    height:600px;
    //height: calc(100% - 640px - 0.33203125rem /* 85/256 */
    //);
    display:inline-block;
    //height: 2.75rem;
  }

  .PT_navEchart--title{
    width:1.171875rem;
    display:inline-block;
    position:relative;
    left:100px;
    top:-250px;
  }
}
</style>
